Bug 1256114 - SELinux is preventing systemd-readahe from 'open' accesses on the file .
SELinux is preventing systemd-readahe from 'open' accesses on the file .
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:7f1335d89fa569be6031c7e06e4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-23 22:10 EDT by viabsb
Modified: 2016-01-21 07:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-21 07:47:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description viabsb 2015-08-23 22:10:37 EDT
Description of problem:
SELinux is preventing systemd-readahe from 'open' accesses on the file .

*****  Plugin catchall (100. confidence) suggests   **************************

If você acredita que o systemd-readahe deva ser permitido acesso de open em  file  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep systemd-readahe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:readahead_t:s0
Target Context                unconfined_u:object_r:nx_exec_t:s0
Target Objects                 [ file ]
Source                        systemd-readahe
Source Path                   systemd-readahe
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-197.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.19.8-100.fc20.x86_64 #1 SMP Tue
                              May 12 17:08:50 UTC 2015 x86_64 x86_64
Alert Count                   12
First Seen                    2015-08-23 14:13:13 BRT
Last Seen                     2015-08-23 22:55:52 BRT
Local ID                      8614142d-b8f5-4b98-9302-b74324207831

Raw Audit Messages
type=AVC msg=audit(1440381352.19:443): avc:  denied  { open } for  pid=388 comm="systemd-readahe" path="/usr/NX/bin/nxserver.bin" dev="sda5" ino=2528909 scontext=system_u:system_r:readahead_t:s0 tcontext=unconfined_u:object_r:nx_exec_t:s0 tclass=file permissive=1


Hash: systemd-readahe,readahead_t,nx_exec_t,file,open

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.19.8-100.fc20.x86_64
type:           libreport
Comment 1 Jan Kurik 2015-12-22 06:31:45 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.